> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tags

> This section describes endpoints that enable a third party to fetch and update a user's tags. This endpoint describes all attribute tags for the given user.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField query="merchant_id" type="string">
  Only return tags for this merchant
</ParamField>

### Response

<Snippet file="entities/tag.mdx" />

<RequestExample>
  ```bash Get Tags theme={null}
  curl https://api.thanxsandbox.com/tags \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "tags": [
      {
        "id": "92b7b0dac4",
        "user_id": "werofsdf",
        "merchant_id": "weroif",
        "key": "allergens",
        "values": ["gluten", "soy", "dairy"]
      }
    ]
  }
  ```
</ResponseExample>
